Bug 980660 - Clearly document beah task structure
Summary: Clearly document beah task structure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Retired
Component: Doc
Version: 0.13
Hardware: Unspecified
OS: Unspecified
low
unspecified vote
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-03 00:52 UTC by Nick Coghlan
Modified: 2020-02-26 06:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 980423
Environment:
Last Closed: 2020-02-26 06:45:06 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 961205 0 medium CLOSED task Makefile targets are not documented 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 980423 0 unspecified CLOSED Beah requires at least one test result 2021-02-22 00:41:40 UTC

Internal Links: 961205 980423

Description Nick Coghlan 2013-07-03 00:52:57 UTC
The new task docs in Beaker 0.13 are in improvement, but are still missing an overview of the required contents of a beah task. The example relies on beaker-wizard to generate the skeleton, while the task metadata section runs through some expected variables in the Makefile and testinfo.desc without actually summarising the expected files anywhere.

We need a "Structure of a beah task" section which:

1. Explains the required files
2. Explains the general concepts involved in result reporting and log uploading
3. Makes it clear that tasks are assumed to fail by default, *unless* a positive result is reported (and rhts-run-simple-command is an easier way to do that)

This section would reference other sections for details where appropriate.


+++ This bug was initially created as a clone of Bug #980423 +++


Note You need to log in before you can comment on or make changes to this bug.